package com.xinyilu.system.domain.sysuserclassrelation;

import com.xinyilu.common.annotation.Excel;
import com.xinyilu.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 用户所属班级关系对象 sys_user_class_relation
 *
 * @author xinyilu
 * @date 2023-07-31
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "用户所属班级关系对象", description = "sys_user_class_relation")
public class SysUserClassRelation extends BaseEntity {

    private static final long serialVersionUID = 7756237552688818429L;
    /**
     * 主键id
     */
    private Long id;

    /**
     * 用户表id
     */
    @ApiModelProperty(value = "用户表id")
    @Excel(name = "用户表id")
    private Long userId;

    /**
     * 班级id
     */
    @ApiModelProperty(value = "班级id")
    @Excel(name = "班级id")
    private Long classId;

    /**
     * 是否删除，0：否，1：是
     */
    private Integer delFlag;


    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("userId", getUserId())
                .append("classId", getClassId())
                .append("delFlag", getDelFlag())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .toString();
    }
}
